package com.njcn.pojo.commons;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


/**
 * 1：地市名称 2：监测点数 3 每个地市下的所有监测点索引 4每个地市下的所有终端索引 5每个地市下的所有变电站索引 6每个地市下的所有供电公司索引
 * @author hongawen
 *
 */
public class AreaGeneralData implements Serializable {

	private String name;

	private String deptIndex;

	private int monitors;

	private List<Integer> lineIndexs=new ArrayList<>();

	private List<Integer> deviceIndexs=new ArrayList<>();

	private List<Integer> subIndexs=new ArrayList<>();

	private List<Integer> gdIndexs=new ArrayList<>();

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the monitors
	 */
	public int getMonitors() {
		return monitors;
	}

	/**
	 * @param monitors the monitors to set
	 */
	public void setMonitors(int monitors) {
		this.monitors = monitors;
	}

	/**
	 * @return the lineIndexs
	 */
	public List<Integer> getLineIndexs() {
		return lineIndexs;
	}

	/**
	 * @param lineIndexs the lineIndexs to set
	 */
	public void setLineIndexs(List<Integer> lineIndexs) {
		this.lineIndexs = lineIndexs;
	}

	/**
	 * @return the deviceIndexs
	 */
	public List<Integer> getDeviceIndexs() {
		return deviceIndexs;
	}

	/**
	 * @param deviceIndexs the deviceIndexs to set
	 */
	public void setDeviceIndexs(List<Integer> deviceIndexs) {
		this.deviceIndexs = deviceIndexs;
	}

	/**
	 * @return the subIndexs
	 */
	public List<Integer> getSubIndexs() {
		return subIndexs;
	}

	/**
	 * @param subIndexs the subIndexs to set
	 */
	public void setSubIndexs(List<Integer> subIndexs) {
		this.subIndexs = subIndexs;
	}

	/**
	 * @return the gdIndexs
	 */
	public List<Integer> getGdIndexs() {
		return gdIndexs;
	}

	/**
	 * @param gdIndexs the gdIndexs to set
	 */
	public void setGdIndexs(List<Integer> gdIndexs) {
		this.gdIndexs = gdIndexs;
	}

	public String getDeptIndex() {
		return deptIndex;
	}

	public void setDeptIndex(String deptIndex) {
		this.deptIndex = deptIndex;
	}

	@Override
	public String toString() {
		return "AreaGeneralData{" +
				"name='" + name + '\'' +
				", deptIndex='" + deptIndex + '\'' +
				", monitors=" + monitors +
				", lineIndexs=" + lineIndexs +
				", deviceIndexs=" + deviceIndexs +
				", subIndexs=" + subIndexs +
				", gdIndexs=" + gdIndexs +
				'}';
	}
}
